<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/fee/config/list',
        hasPagination: false,
        columns: [
          { label: '序号', type: 'index' },
          { label: '销量区间', formatter: this.formatRange },
          { label: '服务费比例(%)', prop: 'feeRate' },
        ],
        beforeOpen: (row, isNew) => {
          if (!isNew) {
            row.lowerNumStr = this.formatRange(row)
          }
        },
        form: [
          {
            label: '销量区间：',
            id: 'lowerNum',
            component: 'el-bus-number-range',
            el: {
              unit: '扎',
              min: 0,
              precision: 0,
            },
            commonFormat: true,
            commonFormatProps: ['lowerNum', 'upperNum'],
            commonRules: true,
            commonRulesLevel: 1,
            str: true,
          },
          {
            label: '服务费比例：',
            id: 'feeRate',
            type: 'input-number',
            el: {
              precision: 1,
              min: 0,
            },
            unit: '%',
            rules: {
              required: true,
              message: '请输入服务费比例',
              trigger: 'blur',
            },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '服务费管理',
    }
  },
  methods: {
    formatRange(row) {
      let str = ''
      if (!this.$elBusUtil.isTrueEmpty(row.lowerNum)) {
        str += `${row.lowerNum}扎<`
      }
      str += '销量'
      if (!this.$elBusUtil.isTrueEmpty(row.upperNum)) {
        str += `≤${row.upperNum}扎`
      }
      return str
    },
  },
}
</script>
